from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XTabListener(XEventListener, Protocol):
    def inserted(self, ID: int) -> None: ...
    def removed(self, ID: int) -> None: ...
    def changed(self, ID: int, Properties: NamedValue >) -> None: ...
    def activated(self, ID: int) -> None: ...
    def deactivated(self, ID: int) -> None: ...
